## humanfriendly 10.0

=== Makefile ===
# Makefile for the 'humanfriendly' package.
#
# Author: Peter Odding <peter@peterodding.com>
# Last Change: March 1, 2020
# URL: https://humanfriendly.readthedocs.io

PACKAGE_NAME = humanfriendly
WORKON_HOME ?= $(HOME)/.virtualenvs
VIRTUAL_ENV ?= $(WORKON_HOME)/$(PACKAGE_NAME)
PYTHON ?= python3
PATH := $(VIRTUAL_ENV)/bin:$(PATH)
MAKE := $(MAKE) --no-print-directory
SHELL = bash

default:
	@echo "Makefile for $(PACKAGE_NAME)"
	@echo
	@echo 'Usage:'
	@echo
	@echo '    make install    install the package in a virtual environment'
	@echo '    make reset      recreate the virtual environment'
	@echo '    make check      check coding style (PEP-8, PEP-257)'
	@echo '    make test       run the test suite, report coverage'
	@echo '    make tox        run the tests on all Python versions'
	@echo '    make readme     update usage in readme'
	@echo '    make docs       update documentation using Sphinx'
	@echo '    make publish    publish changes to GitHub/PyPI'
	@echo '    make clean      cleanup all temporary files'
	@echo

install:
	@test -d "$(VIRTUAL_ENV)" || mkdir -p "$(VIRTUAL_ENV)"
	@test -x "$(VIRTUAL_ENV)/bin/python" || virtualenv --python=$(PYTHON) --quiet "$(VIRTUAL_ENV)"
	@pip uninstall --yes $(PACKAGE_NAME) &>/dev/null || true
	@pip install --quiet --no-deps --ignore-installed .

reset:
	@$(MAKE) clean
	@rm -Rf "$(VIRTUAL_ENV)"
	@$(MAKE) install

check: install
	@pip install --upgrade --quiet --requirement=requirements-checks.txt
	@flake8

test: install
	@pip install --quiet --requirement=requirements-tests.txt
	@py.test --cov
	@coverage combine || true
	@coverage html

tox: install
	@pip install --quiet tox
	@tox

readme: install
	@pip install --quiet cogapp
	@cog.py -r README.rst

docs: readme
	@pip install --quiet sphinx
	@cd docs && sphinx-build -nWb html -d build/doctrees . build/html

publish: install
	@git push origin && git push --tags origin
	@$(MAKE) clean
	@pip install --quiet twine wheel
	@python setup.py sdist bdist_wheel
	@twine upload dist/*
	@$(MAKE) clean

clean:
	@rm -Rf *.egg .cache .coverage .tox build dist docs/build htmlcov
	@find -depth -type d -name __pycache__ -exec rm -Rf {} \;
	@find -type f -name '*.pyc' -delete

.PHONY: default install reset check test tox readme docs publish clean

## humanfriendly 3.2

=== debian/changelog ===
humanfriendly (3.2-1) unstable; urgency=medium

  * Initial release with even newer upstream (Closes: #851824)
  * Add myself to uploaders

 -- W. Martin Borgert <debacle@debian.org>  Tue, 30 May 2017 09:03:41 +0000

humanfriendly (2.4-1) experimental; urgency=low

  * Initial release with new upstream (Closes: #851824)

 -- Gaurav Juvekar <gauravjuvekar@gmail.com>  Sun, 12 Mar 2017 20:40:35 +0100

humanfriendly (2.3.2-1) experimental; urgency=low

  * Initial release. (Closes: #851824)

 -- Gaurav Juvekar <gauravjuvekar@gmail.com>  Thu, 19 Jan 2017 11:38:11 +0530

=== debian/control ===
Source: humanfriendly
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gaurav Juvekar <gauravjuvekar@gmail.com>,
	W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 10), dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-monotonic
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/humanfriendly.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/humanfriendly.git
Homepage: https://humanfriendly.readthedocs.io

Package: python-humanfriendly
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: Python library to make user friendly text interfaces
 A Python library that can be used to make text interfaces more user friendly.
 It provides parsing and formatting numbers, file sizes, pathnames and
 timespans in simple human friendly formats. It provides easy to use timers for
 long running operations, prompts for selecting a choice from a list of options
 by typing the option's number or a unique substring of the option, and
 terminal interaction including text styling (ANSI escape sequences), user
 friendly rendering of usage messages and querying the terminal for its size.
 .
 This package installs the library for Python 2.

Package: python3-humanfriendly
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python3 library to make user friendly text interfaces
 A Python3 library that can be used to make text interfaces more user friendly.
 It provides parsing and formatting numbers, file sizes, pathnames and
 timespans in simple human friendly formats. It provides easy to use timers for
 long running operations, prompts for selecting a choice from a list of options
 by typing the option's number or a unique substring of the option, and
 terminal interaction including text styling (ANSI escape sequences), user
 friendly rendering of usage messages and querying the terminal for its size.
 .
 This package installs the library for Python 3.

Package: humanfriendly
Architecture: all
Depends: python3-humanfriendly, ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Helper command for the humanfriendly Python3 library
 A Python library that can be used to make text interfaces more user friendly.
 It provides parsing and formatting numbers, file sizes, pathnames and
 timespans in simple human friendly formats. It provides easy to use timers for
 long running operations, prompts for selecting a choice from a list of options
 by typing the option's number or a unique substring of the option, and
 terminal interaction including text styling (ANSI escape sequences), user
 friendly rendering of usage messages and querying the terminal for its size.
 .
 This package provides a helper command to access the functions in the library.

## humanfriendly 4.4.1

=== debian/changelog ===
humanfriendly (4.4.1-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version to 4.1.0

 -- W. Martin Borgert <debacle@debian.org>  Mon, 28 Aug 2017 21:20:13 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-monotonic
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/humanfriendly.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/humanfriendly.git
 Homepage: https://humanfriendly.readthedocs.io

=== debian/rules ===
#! /usr/bin/make -f

# Used as per the example from www.v13.gr/blog/?p=412
#DPKG_EXPORT_BUILDFLAGS = 1

#export DH_VERBOSE = 1
#export PYBUILD_NAME=humanfriendly
#export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin/
#export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/bin/
export PYBUILD_INSTALL_ARGS_python2 = --install-scripts=/dev/null
#export PYBUILD_INSTALL_ARGS_python3 = --install-scripts=/dev/null

%:
	dh $@ --with python3,python2 --buildsystem=pybuild

override_dh_auto_test:
	# Do no thing as testing depends on python-coloredlogs which depends on this
	# package forming a circular dependency

## humanfriendly 4.17

=== debian/changelog ===
humanfriendly (4.17-1) unstable; urgency=medium

  * Team upload
  * New upstream version

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- W. Martin Borgert <debacle@debian.org>  Tue, 22 Jan 2019 22:06:14 +0000

## humanfriendly 4.18

=== debian/changelog ===
humanfriendly (4.18-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Aug 2019 21:31:39 +0200

humanfriendly (4.18-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Fri, 01 Mar 2019 22:04:41 +0000

=== debian/control ===
--- 
+++ 
@@ -2,36 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Gaurav Juvekar <gauravjuvekar@gmail.com>,
-	W. Martin Borgert <debacle@debian.org>
-Build-Depends: debhelper (>= 10), dh-python,
-               python-all,
-               python-setuptools,
+Uploaders: Gaurav Juvekar <gauravjuvekar@gmail.com>
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
                python3-all,
                python3-setuptools,
-               python-monotonic
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/humanfriendly.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/humanfriendly.git
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/modules/humanfriendly
+Vcs-Git: https://salsa.debian.org/python-team/modules/humanfriendly.git
 Homepage: https://humanfriendly.readthedocs.io
-
-Package: python-humanfriendly
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
-Recommends: ${python:Recommends}
-Suggests: ${python:Suggests}
-Description: Python library to make user friendly text interfaces
- A Python library that can be used to make text interfaces more user friendly.
- It provides parsing and formatting numbers, file sizes, pathnames and
- timespans in simple human friendly formats. It provides easy to use timers for
- long running operations, prompts for selecting a choice from a list of options
- by typing the option's number or a unique substring of the option, and
- terminal interaction including text styling (ANSI escape sequences), user
- friendly rendering of usage messages and querying the terminal for its size.
- .
- This package installs the library for Python 2.
 
 Package: python3-humanfriendly
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,10 @@
 #export PYBUILD_NAME=humanfriendly
 #export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin/
 #export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/bin/
-export PYBUILD_INSTALL_ARGS_python2 = --install-scripts=/dev/null
 #export PYBUILD_INSTALL_ARGS_python3 = --install-scripts=/dev/null
 
 %:
-	dh $@ --with python3,python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	# Do no thing as testing depends on python-coloredlogs which depends on this

=== debian/watch ===
# try also https://pypi.debian.net/humanfriendly/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/humanfriendly/humanfriendly-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## humanfriendly 8.1

=== debian/changelog ===
humanfriendly (8.1-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 19 Apr 2020 11:17:04 -0400

humanfriendly (8.1-2) unstable; urgency=medium

  * Team upload.

  [Christian Pommranz]

  * Install humanfriendly.terminal module (Closes: #954640)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 Mar 2020 17:10:37 -0400

humanfriendly (8.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.1.1, no changes needed.

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - update copyright for new upstream code
  * debian/control
    - add myself to Uploaders

 -- Sandro Tosi <morph@debian.org>  Mon, 16 Mar 2020 20:40:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: humanfriendly
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Gaurav Juvekar <gauravjuvekar@gmail.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/modules/humanfriendly
 Vcs-Git: https://salsa.debian.org/python-team/modules/humanfriendly.git

## humanfriendly 8.2

=== debian/changelog ===
humanfriendly (8.2-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 26 Aug 2020 21:10:59 -0400

humanfriendly (8.2-3) unstable; urgency=medium

  * Rebuilt, to upload a source-only package

 -- Sandro Tosi <morph@debian.org>  Thu, 25 Jun 2020 00:19:16 -0400

humanfriendly (8.2-2) unstable; urgency=medium

  * Run tests at build time
  * Build a -doc package; Closes: #870061

 -- Sandro Tosi <morph@debian.org>  Tue, 02 Jun 2020 01:04:35 -0400

humanfriendly (8.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 01 Jun 2020 23:12:24 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,17 @@
 Priority: optional
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Gaurav Juvekar <gauravjuvekar@gmail.com>, Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-coloredlogs <!nocheck>,
+               python3-docutils <!nocheck>,
+               python3-mock <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.1.1
+               python3-sphinx <!nodoc>,
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/modules/humanfriendly
 Vcs-Git: https://salsa.debian.org/python-team/modules/humanfriendly.git
@@ -29,6 +35,21 @@
  .
  This package installs the library for Python 3.
 
+Package: python-humanfriendly-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Description: Python3 library to make user friendly text interfaces - Documentation
+ A Python3 library that can be used to make text interfaces more user friendly.
+ It provides parsing and formatting numbers, file sizes, pathnames and
+ timespans in simple human friendly formats. It provides easy to use timers for
+ long running operations, prompts for selecting a choice from a list of options
+ by typing the option's number or a unique substring of the option, and
+ terminal interaction including text styling (ANSI escape sequences), user
+ friendly rendering of usage messages and querying the terminal for its size.
+ .
+ This package contains the documentation for humanfriendly
+
 Package: humanfriendly
 Architecture: all
 Depends: python3-humanfriendly, ${misc:Depends}, ${python3:Depends},

## humanfriendly 9.1

=== debian/changelog ===
humanfriendly (9.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - track released on github
  * debian/control
    - run wrap-and-sort
    - bump Standards-Version to 4.5.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Jan 2021 23:22:01 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: humanfriendly
 Section: python
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Gaurav Juvekar <gauravjuvekar@gmail.com>, Sandro Tosi <morph@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Gaurav Juvekar <gauravjuvekar@gmail.com>,
+           Sandro Tosi <morph@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
@@ -13,17 +13,18 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/python-team/modules/humanfriendly
-Vcs-Git: https://salsa.debian.org/python-team/modules/humanfriendly.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/humanfriendly
+Vcs-Git: https://salsa.debian.org/python-team/packages/humanfriendly.git
 Homepage: https://humanfriendly.readthedocs.io
 
 Package: python3-humanfriendly
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+Recommends: ${python3:Recommends},
+Suggests: ${python3:Suggests},
 Description: Python3 library to make user friendly text interfaces
  A Python3 library that can be used to make text interfaces more user friendly.
  It provides parsing and formatting numbers, file sizes, pathnames and
@@ -38,7 +39,8 @@
 Package: python-humanfriendly-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: Python3 library to make user friendly text interfaces - Documentation
  A Python3 library that can be used to make text interfaces more user friendly.
  It provides parsing and formatting numbers, file sizes, pathnames and
@@ -52,9 +54,11 @@
 
 Package: humanfriendly
 Architecture: all
-Depends: python3-humanfriendly, ${misc:Depends}, ${python3:Depends},
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
+Depends: python3-humanfriendly,
+         ${misc:Depends},
+         ${python3:Depends},
+Recommends: ${python3:Recommends},
+Suggests: ${python3:Suggests},
 Description: Helper command for the humanfriendly Python3 library
  A Python library that can be used to make text interfaces more user friendly.
  It provides parsing and formatting numbers, file sizes, pathnames and

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,11 @@
 #export PYBUILD_INSTALL_ARGS_python3 = --install-scripts=/dev/null
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
-	# Do no thing as testing depends on python-coloredlogs which depends on this
-	# package forming a circular dependency
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cd {build_dir} ;  {interpreter} -m pytest humanfriendly/tests.py" dh_auto_test
+
+override_dh_sphinxdoc:
+	python3 -m sphinx -q docs debian/python-humanfriendly-doc/usr/share/doc/python-humanfriendly-doc/html/
+	dh_sphinxdoc

## humanfriendly 10.0

=== debian/changelog ===
humanfriendly (10.0-6) unstable; urgency=medium

  * Team upload.
  * Replace pipes.quote with shlex.quote on Python 3
    (https://github.com/xolox/python-humanfriendly/pull/75, closes:
    #1084718).
  * Remove some Python 2 packaging leftovers.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Oct 2024 22:26:10 +0100

humanfriendly (10.0-5) unstable; urgency=medium

  * Team upload.
  * add d/gbp.conf matching what is done on Salsa
  * patch-out trivial usage of python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Wed, 13 Mar 2024 02:33:56 +0100

humanfriendly (10.0-4) unstable; urgency=medium

  * remove myself

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 01:24:43 -0500

humanfriendly (10.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-humanfriendly-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:17:57 +0100

humanfriendly (10.0-2) unstable; urgency=medium

  * Team upload.
  * Use unittest instead of pytest (Closes: #1013705)
  * Switch to debhelper-compat 13
  * Use dh-sequence-python3
  * Bump Standards-Version to 4.6.1, no changes
  * dh_missing: ignore pycache

 -- Luca Boccassi <bluca@debian.org>  Fri, 29 Jul 2022 12:48:05 +0100

humanfriendly (10.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright notice
    - add my contribution

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Oct 2021 21:16:56 -0400

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,15 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Gaurav Juvekar <gauravjuvekar@gmail.com>,
-           Sandro Tosi <morph@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-coloredlogs <!nocheck>,
                python3-docutils <!nocheck>,
-               python3-mock <!nocheck>,
-               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/humanfriendly
 Vcs-Git: https://salsa.debian.org/python-team/packages/humanfriendly.git
@@ -41,6 +39,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Python3 library to make user friendly text interfaces - Documentation
  A Python3 library that can be used to make text interfaces more user friendly.
  It provides parsing and formatting numbers, file sizes, pathnames and

=== debian/rules ===
#! /usr/bin/make -f

# Used as per the example from www.v13.gr/blog/?p=412
#DPKG_EXPORT_BUILDFLAGS = 1

#export DH_VERBOSE = 1
#export PYBUILD_NAME=humanfriendly
#export PYBUILD_AFTER_INSTALL_python3=rm -rf {destdir}/usr/bin/
#export PYBUILD_INSTALL_ARGS_python3 = --install-scripts=/dev/null

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cd {build_dir} ;  {interpreter} -m unittest humanfriendly/tests.py" dh_auto_test

override_dh_sphinxdoc:
	python3 -m sphinx -q docs debian/python-humanfriendly-doc/usr/share/doc/python-humanfriendly-doc/html/
	dh_sphinxdoc
